package org.springblade.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 租户类型
 */
@AllArgsConstructor
@Getter
public enum TenantType {
	ADMIN("ADMIN", "tenant.admin.menuCode"),
	MALL("MALL", "tenant.mall.menuJSON"),
	AGENT("AGENT", "tenant.agent.menuJSON");

	@EnumValue
	private String name;
	/**
	 * 菜单参数名
	 */
	private String menuParamName;
}
